<bugID>1241965<Summary>Workers should not start running until registration is complete.</Summary><Description>For certain features, we need to be able to initialise a debugger server in a worker before it starts running. To implement this, we want the registration callback on the WorkerDebuggerManager to return a Promise, and prevent the worker from starting until that Promise is resolved.</Description></bugID>